<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
    </head>
    <body>

    <input type="range" id="freq" onInput="update()" min="0.5" max="5" step="0.5" value="1"> frequence
    <br>
    <input type="range" id="phase" onInput="update()" min="0" max="3" step="0.2" value="1"> phase
    <p>
        <canvas id="my_canvas" width="400" height="300"></canvas>
    </p>

        <script src="sinus.js"></script>

        <script>

const width = my_canvas.clientWidth;
const height = my_canvas.clientHeight;

Module.onRuntimeInitialized = function () {

    const sinusObj = new Module.Sinus(width, height);

    function update() {
        var frequence = document.getElementById('freq').value;
        var phase = document.getElementById('phase').value;

        const sinusData = sinusObj.update(parseFloat(frequence), parseFloat(phase));
        const imageData = new ImageData(new Uint8ClampedArray(sinusData), width, height);

        const context = my_canvas.getContext('2d');
        context.putImageData(imageData, 0, 0);

    }

    update();
    freq.oninput = update;
    phase.oninput = update;

};

        </script>
    </body>
</html>

